%define builtin_release_version 5.11
%define builtin_release_name Final 
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: CentOS release notes files
Name: centos-release-notes
Version: %{real_release_version}
Release: 0
License: GPL
Group: System Environment/Base
Source: centos-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml
BuildRoot: %{_tmppath}/centos-release-notes-root
Provides: indexhtml

%description
CentOS release notes files.

%prep
%setup -q -n centos-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/centos-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.
#install -m 644 -d $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{current_arch}/R*
%{_defaultdocdir}/HTML

%changelog 
* Fri Sep 19 2014 Johnny Hughes <johnny@centos.org> - 5.11-0
- Bump for CentOS 5.11

* Thu Oct 10 2013 Karanbir Singh <kbsingh@centos.org> 5.10-0
- Build for CentOS 5.10

* Thu Jan 10 2013 Karanbir Singh <kbsingh@centos.org> 5.9-0
- Build for CentOS 5.9 

* Sun Feb 26 2012 Johnny Hughes <johnny@centos.org> 5.8-0
- Build for 5.8

* Sun Aug 28 2011 Karanbir Singh <kbsingh@centos.org> 5.7-0
- Build for 5.7

* Tue Mar 29 2011 Karanbir Singh <kbsingh@centos.org> 5.6-0
- Final build for 5.6

* Sun Apr 25 2010 Karanbir Singh <kbsingh@centos.org> 5.5-0
- Build for 5.5

* Mon Sep 28 2009 Kaanbir singh <kbsingh@centos.org> 5.4
- Build for 5.4

* Sun Mar  1 2009 Karanbir Singh <kbsingh@centos.org> 5.3
- Build for 5.3

* Sat Jun 14 2008 Karanbir Singh <kbsingh@centos.org> - 5.2
- Build for 5.2

* Fri Nov 23 2007 Johnny Hughes <johnny@centos.org> - 5.1.0-2
- corrected typos on ES and FR readme, added links to .html files

* Thu Nov 22 2007 Karanbir Singh <kbsingh@centos.org> - 5.1.0-1
- Build for CentOS-5.1.0

* Wed Apr  4 2007 Johnny Hughes <johnny@centos.org> - 5.0.0-2
- rebuild bump

* Wed Apr  4 2007 Johnny Hughes <johnny@centos.org> - 5.0.0-1
- bumped release to 5.0.0 for CentOS-5 Final
- added langague support for en, de, fr, it, es, pt_BR, cz, ja, ru, nl for
  release notes

* Sat Mar 10 2007 Johnny Hughes <johnny@centos.org>
- rolled in html info for browsers and beta release notes

* Mon Feb 19 2007 Karanbir Singh <kbsingh@centos.org>
- Test package for beta notes
